import * as $dara from '@darabonba/typescript';
export declare class GetClientUserDefineRuleRequest extends $dara.Model {
    /**
     * @remarks
     * The ID of the custom defense rule.
     *
     * This parameter is required.
     *
     * @example
     * 200****
     */
    id?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
